Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventBulkRequestEntry`, `DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsMetadata(String key)`
  The metadata associated with the event.
  `com.google.protobuf.ByteString`
  `getBytes()`
  `bytes bytes = 2;`
  `DaprAppCallbackProtos.TopicEventCERequest`
  `getCloudEvent()`
  `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
  `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
  `getCloudEventOrBuilder()`
  `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
  `String`
  `getContentType()`
  content type of the event contained.
  `com.google.protobuf.ByteString`
  `getContentTypeBytes()`
  content type of the event contained.
  `String`
  `getEntryId()`
  Unique identifier for the message.
  `com.google.protobuf.ByteString`
  `getEntryIdBytes()`
  Unique identifier for the message.
  `DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase`
  `getEventCase()`
  `Map<String,String>`
  `getMetadata()`
  Deprecated.
  `int`
  `getMetadataCount()`
  The metadata associated with the event.
  `Map<String,String>`
  `getMetadataMap()`
  The metadata associated with the event.
  `String`
  `getMetadataOrDefault(String key, String defaultValue)`
  The metadata associated with the event.
  `String`
  `getMetadataOrThrow(String key)`
  The metadata associated with the event.
  `boolean`
  `hasBytes()`
  `bytes bytes = 2;`
  `boolean`
  `hasCloudEvent()`
  `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getEntryId

    String getEntryId()

         Unique identifier for the message.

    `string entry_id = 1;`
    Returns:
      The entryId.

  - ### getEntryIdBytes

    com.google.protobuf.ByteString getEntryIdBytes()

         Unique identifier for the message.

    `string entry_id = 1;`
    Returns:
      The bytes for entryId.

  - ### hasBytes

    boolean hasBytes()
    `bytes bytes = 2;`
    Returns:
      Whether the bytes field is set.

  - ### getBytes

    com.google.protobuf.ByteString getBytes()
    `bytes bytes = 2;`
    Returns:
      The bytes.

  - ### hasCloudEvent

    boolean hasCloudEvent()
    `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
    Returns:
      Whether the cloudEvent field is set.

  - ### getCloudEvent

    DaprAppCallbackProtos.TopicEventCERequest getCloudEvent()
    `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
    Returns:
      The cloudEvent.

  - ### getCloudEventOrBuilder

    DaprAppCallbackProtos.TopicEventCERequestOrBuilder getCloudEventOrBuilder()
    `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

  - ### getContentType

    String getContentType()

         content type of the event contained.

    `string content_type = 4;`
    Returns:
      The contentType.

  - ### getContentTypeBytes

    com.google.protobuf.ByteString getContentTypeBytes()

         content type of the event contained.

    `string content_type = 4;`
    Returns:
      The bytes for contentType.

  - ### getMetadataCount

    int getMetadataCount()

         The metadata associated with the event.

    `map<string, string> metadata = 5;`

  - ### containsMetadata

    boolean containsMetadata(String key)

         The metadata associated with the event.

    `map<string, string> metadata = 5;`

  - ### getMetadata

    @Deprecated Map<String,String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    Map<String,String> getMetadataMap()

         The metadata associated with the event.

    `map<string, string> metadata = 5;`

  - ### getMetadataOrDefault

    String getMetadataOrDefault(String key, String defaultValue)

         The metadata associated with the event.

    `map<string, string> metadata = 5;`

  - ### getMetadataOrThrow

    String getMetadataOrThrow(String key)

         The metadata associated with the event.

    `map<string, string> metadata = 5;`

  - ### getEventCase

    DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase getEventCase()